import { Reporter } from 'qcloud-iotexplorer-appdev-sdk';
import { DeviceFilterFunction } from '../../../../bluetooth-adapter-core';
export declare const LLSyncComboConfig: {
    waitGetDeviceInfoTime: number;
    waitSetWiFiModeTime: number;
    waitSetWiFiInfoTime: number;
    waitSetWiFiConnectTime: number;
    waitSetWiFiTokenTime: number;
    waitDevLogInfoTime: number;
};
export interface LLSyncComboDeviceAdapterOptions {
    reporter: Reporter;
}
export declare const BleComboLLSyncDeviceAdapter: (new (...args: any[]) => {
    bluetoothAdapter: import("qcloud-iotexplorer-bluetooth-adapter").BlueToothAdapter;
    extendInfo: any;
    _h5Websocket: any;
    _name: string;
    _deviceId: string;
    _deviceName: string;
    _deviceConnected: boolean;
    _productId: string;
    _deviceRegistered: boolean;
    _services: any[];
    characteristicsMap: {};
    _actions: Pick<import("qcloud-iotexplorer-bluetooth-adapter/lib/base/types").BlueToothActions, "registerDevice" | "bindDevice" | "reportDeviceData">;
    _bluetoothApi: any;
    _getNotifyId({ serviceId }?: {
        serviceId?: string;
    }): any;
    readonly _writeId: any;
    readonly _notifyId: any;
    readonly _readId: any;
    readonly _indicateId: any;
    readonly deviceId: string;
    readonly productId: string;
    deviceName: string;
    readonly isConnected: boolean;
    readonly originName: string;
    readonly explorerDeviceId: string;
    readonly serviceId: any;
    readonly deviceInfo: {
        productId: string;
        deviceName: string;
        deviceId: string;
        explorerDeviceId: string;
        name: string;
    };
    init(): Promise<void>;
    handleBLEMessage(hexStrArr: string[], { serviceId, characteristicId }: {
        serviceId: string;
        characteristicId: string;
    }): import("qcloud-iotexplorer-bluetooth-adapter").BLEMessageResponse;
    registerDevice(): Promise<void>;
    bindDevice({ familyId, roomId, }?: {
        familyId?: string;
        roomId?: string;
    }): Promise<string>;
    onBleConnectionStateChange({ connected }: {
        connected: any;
    }): void;
    onBLECharacteristicValueChange({ serviceId, characteristicId, value, }: {
        serviceId: any;
        characteristicId: any;
        value: any;
    }): Promise<void>;
    disconnectDevice(): void;
    connectDevice({ autoNotify, }?: {
        autoNotify?: boolean;
    }): Promise<void>;
    write(data: any, { writeId, serviceId, }?: {
        writeId?: string;
        serviceId?: string;
    }): Promise<void>;
    _write(value: any, { writeId, serviceId, }?: {
        writeId?: string;
        serviceId?: string;
    }): Promise<void>;
    getBLEDeviceServices(): Promise<any>;
    setCharacteristicsIds(serviceId: any, characteristics: any): void;
    getBLEDeviceCharacteristics({ serviceId, }?: {
        serviceId?: string;
    }): Promise<any>;
    notifyBLECharacteristicValueChange({ characteristicId, serviceId, state, }?: {
        characteristicId?: string;
        serviceId?: string;
        state?: boolean;
    }): Promise<void>;
    readBLECharacteristicValue({ serviceId, characteristicId, }?: {
        serviceId?: string;
        characteristicId?: string;
    }): Promise<void>;
    setBLEMTU(params: any): any;
    getBLEDeviceRSSI(): any;
    destroy(): void;
    _cleanupMap: {};
    _normalizeError(error: any): any;
    cleanup(action?: string): void;
    addCleanupTask(action: any, cleanupFn: any): void;
    on: (type: string, listener: import("event-emitter-for-miniprogram").listenerCallback) => import("event-emitter-for-miniprogram").default;
    once: (type: any, listener: import("event-emitter-for-miniprogram").listenerCallback) => import("event-emitter-for-miniprogram").default;
    off: (type: any, listener?: import("event-emitter-for-miniprogram").listenerCallback) => import("event-emitter-for-miniprogram").default;
    emit: (type: any, ...argus: any[]) => Promise<any>;
}) & {
    new (props: any): {
        bleVersion: any;
        reporter: Reporter;
        notifyMessage({ type, data }?: any): Promise<any>;
        connectDevice(params: any): Promise<void>;
        afterConnectDevice(): Promise<string>;
        getDeviceInfo(): Promise<{
            version: number;
            mtu: number;
            needSetMtu: boolean;
            deviceName: string;
        }>;
        /**
         * @description WiFi模式设置
         * @returns boolean 表示设置WiFi模式成功或者失败
         */
        setWiFiMode(mode?: string): Promise<boolean>;
        /**
         *
         * @param params0 {Object} 配网的WiFi信息
         * @param parmas0.ssid {String} WiFi的ssid
         * @param params0.password {String} WiFi的密码
         * @returns {boolean} 传输WiFi结果
         */
        setWiFiInfo({ ssid, password, }: {
            ssid: string;
            password: string;
        }): Promise<boolean>;
        /**
         * @description 下发WiFi连接请求，并获取连接状态
         * @returns {boolean} WiFi连接状态
         */
        sendConnectWiFiAndGetWiFiConnectState(): Promise<{
            connected: boolean;
            ssid: string;
        }>;
        sendToken({ token, }: {
            token: string;
        }): Promise<boolean>;
        getModuleLog(): Promise<{
            logStr: string;
        }>;
        mtu: number;
        protocol: import("qcloud-iotexplorer-bluetooth-adapter-llsync/lib/base/LLSync/LLSyncProtocol").LLSyncProtocol;
        handleBLEMessage(hex: any): {
            type: any;
            data: any;
        };
        wait4EventResponse<T>(eventName: string, handler: (data: any) => T, { timeout, timeoutCode, timeoutHandler, wrapSplitDataMode, shouldWrapSplitDataFn, afterBindEvent, }?: import("qcloud-iotexplorer-bluetooth-adapter-llsync").Wait4EventResponseOptions): Promise<T>;
        writeAndWait4Response<T_1>(data2Write: any, eventName: string, handler: (data: any) => T_1, { timeout, timeoutCode, timeoutHandler, writeId, wrapSplitDataMode, shouldWrapSplitDataFn, }?: import("qcloud-iotexplorer-bluetooth-adapter-llsync").WriteAndWait4ResponseOptions): Promise<T_1>;
        writeMtuResult(type: "success" | "fail"): void;
        sliceData(data: any, tmpData: any, mode: any): string[];
        writeData(data: any, { writeId, waitGap, retryTime, }?: {
            writeId?: string;
            waitGap?: number;
            retryTime?: number;
        }): Promise<any>;
        setMtu(mtu: any): Promise<any>;
        bluetoothAdapter: import("qcloud-iotexplorer-bluetooth-adapter").BlueToothAdapter;
        extendInfo: any;
        _h5Websocket: any;
        _name: string;
        _deviceId: string;
        _deviceName: string;
        _deviceConnected: boolean;
        _productId: string;
        _deviceRegistered: boolean;
        _services: any[];
        characteristicsMap: {};
        _actions: Pick<import("qcloud-iotexplorer-bluetooth-adapter/lib/base/types").BlueToothActions, "registerDevice" | "bindDevice" | "reportDeviceData">;
        _bluetoothApi: any;
        _getNotifyId({ serviceId }?: {
            serviceId?: string;
        }): any;
        readonly _writeId: any;
        readonly _notifyId: any;
        readonly _readId: any;
        readonly _indicateId: any;
        readonly deviceId: string;
        readonly productId: string;
        deviceName: string;
        readonly isConnected: boolean;
        readonly originName: string;
        readonly explorerDeviceId: string;
        readonly serviceId: any;
        readonly deviceInfo: {
            productId: string;
            deviceName: string;
            deviceId: string;
            explorerDeviceId: string;
            name: string;
        };
        init(): Promise<void>;
        registerDevice(): Promise<void>;
        bindDevice({ familyId, roomId, }?: {
            familyId?: string;
            roomId?: string;
        }): Promise<string>;
        onBleConnectionStateChange({ connected }: {
            connected: any;
        }): void;
        onBLECharacteristicValueChange({ serviceId, characteristicId, value, }: {
            serviceId: any;
            characteristicId: any;
            value: any;
        }): Promise<void>;
        disconnectDevice(): void;
        write(data: any, { writeId, serviceId, }?: {
            writeId?: string;
            serviceId?: string;
        }): Promise<void>;
        _write(value: any, { writeId, serviceId, }?: {
            writeId?: string;
            serviceId?: string;
        }): Promise<void>;
        getBLEDeviceServices(): Promise<any>;
        setCharacteristicsIds(serviceId: any, characteristics: any): void;
        getBLEDeviceCharacteristics({ serviceId, }?: {
            serviceId?: string;
        }): Promise<any>;
        notifyBLECharacteristicValueChange({ characteristicId, serviceId, state, }?: {
            characteristicId?: string;
            serviceId?: string;
            state?: boolean;
        }): Promise<void>;
        readBLECharacteristicValue({ serviceId, characteristicId, }?: {
            serviceId?: string;
            characteristicId?: string;
        }): Promise<void>;
        setBLEMTU(params: any): any;
        getBLEDeviceRSSI(): any;
        destroy(): void;
        _cleanupMap: {};
        _normalizeError(error: any): any;
        cleanup(action?: string): void;
        addCleanupTask(action: any, cleanupFn: any): void;
        on: (type: string, listener: import("event-emitter-for-miniprogram").listenerCallback) => import("event-emitter-for-miniprogram").default;
        once: (type: any, listener: import("event-emitter-for-miniprogram").listenerCallback) => import("event-emitter-for-miniprogram").default;
        off: (type: any, listener?: import("event-emitter-for-miniprogram").listenerCallback) => import("event-emitter-for-miniprogram").default;
        emit: (type: any, ...argus: any[]) => Promise<any>;
    };
    options: LLSyncComboDeviceAdapterOptions;
    serviceId16: string;
    serviceId: string;
    deviceFilter: DeviceFilterFunction;
    injectOptions(options: LLSyncComboDeviceAdapterOptions): void;
};
