import { BleComboLLSyncDeviceAdapter } from './BleComboLLSyncDeviceAdapter';
import { BleComboTask, BleComboTaskOptions, BleComboType } from '../BleComboTask';
declare type LLSyncComboDeviceAdapterType = InstanceType<typeof BleComboLLSyncDeviceAdapter>;
export interface BleComboLLSyncTaskOptions extends BleComboTaskOptions<LLSyncComboDeviceAdapterType> {
    deviceAdapter: LLSyncComboDeviceAdapterType;
    bleComboProto: BleComboType.BLE_COMBO_LLSYNC;
}
export declare class BleComboLLSyncTask extends BleComboTask<LLSyncComboDeviceAdapterType> {
    constructor(options: BleComboLLSyncTaskOptions);
    setWiFiMode(): Promise<void>;
    sendWiFiInfo(): Promise<void>;
    connectWifi(): Promise<string>;
    sendToken(): Promise<{
        productId: string;
        deviceName: string;
    }>;
}
export {};
