import { AppDevSdk, Reporter } from 'qcloud-iotexplorer-appdev-sdk';
import { WifiConfOption } from 'qcloud-iotexplorer-appdev-plugin-wificonf-core';
import { DeviceAdapter } from 'qcloud-iotexplorer-bluetooth-adapter';
export declare enum BleComboType {
    BLE_COMBO_ESP = "BLE_COMBO_ESP",
    BLE_COMBO_LLSYNC = "BLE_COMBO_LLSYNC"
}
export interface BleComboTaskOptions<T extends DeviceAdapter> extends WifiConfOption {
    deviceAdapter: T;
    bleComboProto: BleComboType;
    reporter: Reporter;
}
export declare abstract class BleComboTask<T extends DeviceAdapter> extends AppDevSdk.utils.EventEmitter {
    sequence: number;
    sendDataInterval: number;
    ssid: string;
    password: string;
    token: string;
    deviceAdapter: T;
    logger: Reporter;
    processing: boolean;
    constructor({ targetWifiInfo, wifiConfToken, deviceAdapter, reporter, }: BleComboTaskOptions<T>);
    start(): Promise<never>;
    interrupt(): void;
    abstract setWiFiMode(): any;
    abstract sendWiFiInfo(): any;
    abstract connectWifi(): any;
    abstract sendToken(): any;
}
